Subject: Re: [bug#28433] [WIP] Rust update

From: ng0 <[email-masked]>
Date: Sat, 28 Oct 2017 15:36:23 +0000

Danny Milosavljevic transcribed 8.7K bytes:
> Hi,
…
> So I guess my actual question is how to do this cross compilation correctly.
Note that the rust bootstrap compiler are binaries from upstream.
(There's a project "mrust" <https://github.com/thepowersgang/mrustc>
that is a reimplementation of Rust in C++ that we could use in the long
term in order to remove this binary)

In the long term this would be nice. It was my first idea when
I learned about this project, but as you can read in the
bug I opened in the last 2(?) months in the mrustc bugtracker
it still requires rustc to work.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org